BigattiState Class Reference

`#include <BigattiState.h>`

Inheritance diagram for BigattiState:

## Public Member Functions

| BigattiState (BigattiHilbertAlgorithm *algorithm, const Ideal &ideal, const Term &_multiply)
const Ideal & | getIdeal () const
const Term & | getMultiply () const
size_t | getVarCount () const
Ideal & | getIdeal ()
Term & | getMultiply ()
Exponent | getMedianPositiveExponentOf (size_t var)
size_t | getTypicalExponent (size_t &var, Exponent &exp)
void | singleDegreeSort (size_t var)
void | colonStep (const Term &term)
void | addStep (const Term &term)
virtual void | run (TaskEngine &tasks)
| Does whatever work this task represents.
virtual void | dispose ()
| Called when the task is no longer used but run has not and will not be called.
void | print (FILE *out)
void | print (ostream &out)
Public Member Functions inherited from Task
virtual | ~Task ()

## Private Attributes

BigattiHilbertAlgorithm * | _algorithm
Ideal | _ideal
Term | _multiply

## Detailed Description

Definition at line 27 of file BigattiState.h.

## Constructor & Destructor Documentation

## BigattiState()

BigattiState::BigattiState | ( | BigattiHilbertAlgorithm * | algorithm,
|  | const Ideal & | ideal,
|  | const Term & | _multiply )

Definition at line 24 of file BigattiState.cpp.

## Member Function Documentation

## addStep()

void BigattiState::addStep | ( | const Term & | term | ) |

Definition at line 85 of file BigattiState.cpp.

## colonStep()

void BigattiState::colonStep | ( | const Term & | term | ) |

Definition at line 79 of file BigattiState.cpp.

## dispose()

void BigattiState::dispose | ( |  | ) |

virtual

Called when the task is no longer used but run has not and will not be called.

This can happen from a destructor being called due to an exception, so dispose must not throw an exception under any circumstances.

Implements Task.

Definition at line 94 of file BigattiState.cpp.

## getIdeal() [1/2]

Ideal & BigattiState::getIdeal | ( |  | ) |

Definition at line 41 of file BigattiState.cpp.

## getIdeal() [2/2]

const Ideal & BigattiState::getIdeal | ( |  | ) | const

Definition at line 33 of file BigattiState.cpp.

## getMedianPositiveExponentOf()

Exponent BigattiState::getMedianPositiveExponentOf | ( | size_t | var | ) |

Definition at line 54 of file BigattiState.cpp.

## getMultiply() [1/2]

Term & BigattiState::getMultiply | ( |  | ) |

Definition at line 45 of file BigattiState.cpp.

## getMultiply() [2/2]

const Term & BigattiState::getMultiply | ( |  | ) | const

Definition at line 37 of file BigattiState.cpp.

## getTypicalExponent()

size_t BigattiState::getTypicalExponent | ( | size_t & | var,
|  | Exponent & | exp )

Definition at line 71 of file BigattiState.cpp.

## getVarCount()

size_t BigattiState::getVarCount | ( |  | ) | const

Definition at line 49 of file BigattiState.cpp.

## print() [1/2]

void BigattiState::print | ( | FILE * | out | ) |

Definition at line 98 of file BigattiState.cpp.

## print() [2/2]

void BigattiState::print | ( | ostream & | out | ) |

Definition at line 104 of file BigattiState.cpp.

## run()

void BigattiState::run | ( | TaskEngine & | engine | ) |

virtual

Does whatever work this task represents.

The parameter can be used to schedule additional tasks.

Implements Task.

Definition at line 90 of file BigattiState.cpp.

## singleDegreeSort()

void BigattiState::singleDegreeSort | ( | size_t | var | ) |

Definition at line 75 of file BigattiState.cpp.

## Member Data Documentation

## _algorithm

BigattiHilbertAlgorithm* BigattiState::_algorithm

private

Definition at line 53 of file BigattiState.h.

## _ideal

Ideal BigattiState::_ideal

private

Definition at line 54 of file BigattiState.h.

## _multiply

Term BigattiState::_multiply

private

Definition at line 55 of file BigattiState.h.

The documentation for this class was generated from the following files:

- src/BigattiState.h
- src/BigattiState.cpp